<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Börsiettevõtted</title>
    <link rel="stylesheet" href="assets/popup.css">
    <link rel="stylesheet" href="assets/app.css">
</head>

<body>

    <div id="wrapper" style="display: none">
        <header>
            <div class="header-cell-left">VALI-IT NÄIDISPROJEKT</div>
            <div class="header-cell-right"></div>
        </header>
        <main>
        </main>
        <footer>
            &copy; Vali-IT 2020
        </footer>
    </div>

    <template id="loginFormTemplate">
        <div id="loginFormContainer">
            <h2>Sisselogimine</h2>
            <div>
                <label for="loginUsername">Kasutajatunnus:</label>
                <input type="text" id="loginUsername">
                <label for="loginPassword">Parool:</label>
                <input type="password" id="loginPassword">
                <button onclick="doLogin()">Logi sisse</button>
            </div>
        </div>
    </template>

    <template id="itemEditFormTemplate">
        <div id="itemEditFormContainer">
            <h2>Ettevõtte muutmine / lisamine</h2>
            <input type="hidden" id="itemEditId">
            <div id="errorBox" style="display: none">

            </div>
            <div>
                <label for="itemEditName">Nimi</label>
                <input type="text" id="itemEditName">
                <div><img id="itemEditLogoImage"></div>
                <label for="itemEditLogo">Logo</label>
                <input type="text" id="itemEditLogo">
                <input type="file" id="file" title="Lae logo fail" />
                <div><button class="btn btn-dark" onClick="doUploadFile()">Lae fail</button></div>
                <label for="itemEditEstablished">Asutatud</label>
                <input type="date" id="itemEditEstablished">
                <label for="itemEditEmployees">Töötajaid</label>
                <input type="number" min="0" max="1000000" step="1" id="itemEditEmployees">
                <label for="itemEditRevenue">Müügitulu (&euro;)</label>
                <input type="number" min="-1000000000000" max="1000000000000" step="1" id="itemEditRevenue">
                <label for="itemEditNetIncome">Netotulu (&euro;)</label>
                <input type="number" min="-1000000000000" max="1000000000000" step="1" id="itemEditNetIncome">
                <label for="itemEditSecurities">Aktsiate arv</label>
                <input type="number" min="0" max="1000000000000" step="1" id="itemEditSecurities">
                <label for="itemEditSecurityPrice">Aktsia hind (&euro;)</label>
                <input type="number" step="0.01" id="itemEditSecurityPrice">
                <label for="itemEditDividends">Dividende aktsia kohta (&euro;)</label>
                <input type="number" step="0.01" id="itemEditDividends">
                <button onclick="doSaveItem()">Salvesta</button>
            </div>
        </div>
    </template>

    <script src="assets/dependencies/charts-2.9.3/Chart.min.js"></script>
    <script src="assets/config.js"></script>
    <script src="assets/util.js"></script>
    <script src="assets/fetchApi.js"></script>
    <script src="assets/auth.js"></script>
    <script src="assets/popup.js"></script>
    <script src="assets/app.js"></script>
</body>

</html>